[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0

;-| Super Motions |--------------------------------------------------------
[Command]
name = "tyourengeki"
command = ~F, D, B, a+b
time = 25

[Command]
name = "kaijo"
command = ~F, D, B, x+y
time = 25

[Command]
name = "soulmax"
command = ~D, F, D, F, a+b
time = 25

[Command]
name = "soulmax"
command = ~D, F, D, F, c
time = 25

[Command]
name = "mumax"
command = ~D, F, D, F, x+y
time = 25

[Command]
name = "mumax"
command = ~D, F, D, F, z
time = 25

[Command]
name = "mu"
command = ~D, F, D, F, x
time = 25

[Command]
name = "mu"
command = ~D, F, D, F, y
time = 25

[Command]
name = "soul"
command = ~D, F, D, F, a
time = 25

[Command]
name = "soul"
command = ~D, F, D, F, b
time = 25

[Command]
name = "sanagi"
command = ~D, B, D, B, x
time = 25

[Command]
name = "sanagi"
command = ~D, B, D, B, y
time = 25


;-| Special Motions |------------------------------------------------------
[Command]
name = "black"
command = ~D, DF, F, x
time = 15

[Command]
name = "black2"
command = ~D, DF, F, y
time = 15

[Command]
name = "kaihi"
command = ~D, DF, F, c
time = 15

[Command]
name = "rengeki"
command = ~D, DF, F, b
time = 15


[Command]
name = "rengeki2"
command = ~D, DF, F, a
time = 15

[Command]
name = "atemi"
command = ~F, D, DF, x
time = 15

[Command]
name = "geno1"
command = ~F, D, DF, a
time = 15

[Command]
name = "geno2"
command = ~F, D, DF, b
time = 15

[Command]
name = "balia"
command = ~F, D, DF, x
time = 15

[Command]
name = "balia2"
command = ~F, D, DF, y
time = 15

[Command]
name = "hansha"
command = ~D, DF, F, b
time = 15

[Command]
name = "kaminari"
command = ~D, B, x
time = 15

[Command]
name = "kaminari2"
command = ~D, B, a
time = 15

[Command]
name = "kaminari3"
command = ~D, B, y
time = 15

[Command]
name = "kaminari4"
command = ~D, B, b
time = 15

[Command]
name = "unsou"
command = ~D, B, c
time = 15


[Command]
name = "dog"
command = ~D, DB, B, x
time = 15

[Command]
name = "tobi"
command = ~D, DB, B, y
time = 15

[Command]
name = "earth"
command = ~D, DB, B, a
time = 15

[Command]
name = "cool"
command = ~D, DB, B, b
time = 15





;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

[Command]
name = "Hjump"
command = $D, $U
time = 13

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+a
time = 1

[Command]
name = "recovery";Required (do not remove)
command = z
time = 1

[Command]
name = "knock"
command = c
time = 1

[Command]
name = "knock"
command = y+b
time = 1

[Command]
name = "dodge"
command = x+a
time = 1

[Command]
name = "striker"
command = a+y
time = 1

[Command]
name = "dodge"
command = z
time = 1


;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

[Statedef -1]

;---------------------------------------------------------------------------
;超連撃
[State -1]
type = ChangeState
value = 7000
triggerall = command = "tyourengeki"
triggerall = power >= 2000
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;---------------------------------------------------------------------------
;大型解除
[State -1]
type = ChangeState
value = 7100
triggerall = command = "kaijo"
triggerall = power >= 2000
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
;---------------------------------------------------------------------------
;活入れ
[State -1]
type = ChangeState
value = 6600
triggerall = stateno != 810 
triggerall = stateno != 815 
triggerall = command = "soulmax"
triggerall = statetype != A
triggerall = power >= 1000
triggerall = var(59) = 0
trigger1 = ctrl
trigger2 = movecontact
IgnoreHitPause = 1

;無に還ろう
[State -1]
type = ChangeState
value = 2000
triggerall = command = "mu"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;魂潰し
[State -1]
type = ChangeState
value = 2100
triggerall = command = "soul"
triggerall = statetype != A
triggerall = power >= 1000
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;新・無に還ろう
[State -1]
type = ChangeState
value = 2300
triggerall = command = "sanagi"
triggerall = var(55) = 0
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = palno = 12
triggerall = var(6) != 1
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;新・無に還ろう2
[State -1]
type = ChangeState
value = 2300
triggerall = command = "sanagi"
triggerall = var(55) = 0
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = palno = 12
triggerall = var(9) != 1
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1


;---------------------------------------------------------------------------


;---------------------------------------------------------
;---------------------------------------------------------------------------

[State -1,当身]
type = null;ChangeState
value = 3005
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "atemi"
trigger1 = ctrl



;対空攻撃
[State -1]
type = ChangeState
value = 6500
triggerall = command = "geno1"
triggerall = statetype != A
triggerall = var(55) = 1
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;対空攻撃
[State -1]
type = ChangeState
value = 6500
triggerall = command = "geno2"
triggerall = statetype != A
triggerall = var(55) = 1
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;バリア中段
[State -1]
type = ChangeState
value = 1030
triggerall = command = "balia"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;バリア上段
[State -1]
type = ChangeState
value = 1031
triggerall = command = "balia2"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger7 = stateno = 1030 || stateno = 1031
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;連撃
[State -1]
type = ChangeState
value = 6000
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = command = "rengeki"
trigger1 = ctrl
trigger2 = command = "rengeki2"
trigger2 = ctrl


;飛び道具
[State -1]
type = ChangeState
value = 1000
triggerall = NumProjID(1002) = 0
triggerall = command = "black"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;飛び道具
[State -1]
type = ChangeState
value = 1000
triggerall = NumProjID(1002) = 0
triggerall = command = "black2"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1


;飛び道具反射
[State -1]
type = null;ChangeState
value = 1040
triggerall = command = "hansha"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;落雷1
[State -1]
type = ChangeState
value = 1200
triggerall = command = "kaminari"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;落雷2
[State -1]
type = ChangeState
value = 1201
triggerall = command = "kaminari2"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;落雷3
[State -1]
type = ChangeState
value = 1202
triggerall = command = "kaminari3"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;落雷4
[State -1]
type = ChangeState
value = 1203
triggerall = command = "kaminari4"
triggerall = statetype != A
trigger1 = ctrl
triggerall = var(59) = 0
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1

;運送
[State -1, ]
type = ChangeState
value = 3000
triggerall = command = "unsou"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

;緊急回避前
[State -1]
type = ChangeState
value = 900
triggerall = command = "kaihi"
triggerall = command != "holdback"
triggerall = var(59) = 0
trigger1 = statetype != A && (ctrl || stateno = 100)
trigger2 = stateno = [150,153] 
trigger2 =  power >= 1000

;===========================================================================
;---------------------------------------------------------------------------
;Run Fwd
;ダッシュ
[State -1, Run Fwd]
type = ChangeState
value = 100
triggerall = var(59) = 0
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

;---------------------------------------------------------------------------
;Run Back
;後退ダッシュ
[State -1, Run Back]
type = ChangeState
value = 105
triggerall = var(59) = 0
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

;ダブトマ
[State -1, Kung Fu Throw]
type = ChangeState
value = 242
triggerall = command = "a"
triggerall = statetype != A
;triggerall = palno = 6
triggerall = stateno != 100
triggerall = command = "holdfwd"
triggerall = var(59) = 0
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;C投げ
[State -1, Kung Fu Throw]
type = ChangeState
value = 810
triggerall = command = "y"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = var(59) = 0
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;---------------------------------------------------------------------------
;D投げ
[State -1, Kung Fu Throw]
type = ChangeState
value = 815
triggerall = command = "b"
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
triggerall = var(59) = 0
trigger1 = command = "holdfwd"
trigger1 = p2bodydist X < 3
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "holdback"
trigger2 = p2bodydist X < 5
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H

;===========================================================================
;---------------------------------------------------------------------------
;ふっ飛ばし
[State -1, Stand Light Punch]
type = ChangeState
value = 500
triggerall = command = "knock"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = stateno = [150,153] 
trigger2 =  power >= 1000

;---------------------------------------------------------------------------
;AIRふっ飛ばし
[State -1, ]
type = ChangeState
value = 510
triggerall = command = "knock"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------

[State -1, シールド]
type = ChangeState
value = 701
triggerall = var(59) = 0
triggerall = command = "dodge"
trigger1 = ctrl


;---------------------------------------------------------------------------
;Stand Light Punch
;しゃがみ弱パンチ
[State -1, Stand Light Punch]
type = ChangeState
value = 201
triggerall = command = "x"
triggerall = var(59) = 0
trigger1 = statetype = C && var(55) = 1
trigger1 = ctrl

;Stand Light Punch
;立ち弱パンチ
[State -1, Stand Light Punch]
type = ChangeState
value = 200
triggerall = command = "x"
triggerall = var(59) = 0
trigger1 = statetype != A && var(55) = 0
trigger1 = ctrl
trigger2 = statetype = S && var(55) = 1
trigger2 = ctrl
trigger3 = statetype = S && var(55) = 1
trigger3 = anim = 2510 && animelem = 4 >= 1
trigger3 = hitshakeover
trigger4 = statetype = S && var(55) = 1
trigger4 = anim = 2525 && animelem = 3, >= 1
trigger4 = hitshakeover

;---------------------------------------------------------------------------
;Stand Strong Punch
;しゃがみ強パンチ
[State -1, Stand Strong Punch]
type = ChangeState
value = 211
triggerall = command = "y"
triggerall = command = "holddown" 
triggerall = var(59) = 0
trigger1 = statetype = C
trigger1 = ctrl
trigger1 = var(55) = 1

;Stand Strong Punch
;立ち強パンチ
[State -1, Stand Strong Punch]
type = ChangeState
value = 210
triggerall = command = "y"
triggerall = var(59) = 0
triggerall = statetype != A
trigger1 = statetype != A && var(55) = 0
trigger1 = ctrl
trigger2 = statetype = S && var(55) = 1
trigger2 = ctrl
trigger3 = stateno = 200 && movecontact && var(55) = 1

;---------------------------------------------------------------------------
;Stand Light Kick
;しゃがみ弱キック
[State -1, Stand Light Kick]
type = ChangeState
value = 231
triggerall = command = "a"
triggerall = var(59) = 0
trigger1 = statetype = C
trigger1 = var(55) = 1
trigger1 = ctrl

;Stand Light Kick
;立ち弱キック
[State -1, Stand Light Kick]
type = ChangeState
value = 230
triggerall = command = "a"
triggerall = var(59) = 0
trigger1 = statetype != A && var(55) = 0
trigger1 = ctrl
trigger2 = statetype = S && var(55) = 1
trigger2 = ctrl

;---------------------------------------------------------------------------
;Standing Strong Kick
;しゃがみ強キック
[State -1, Standing Strong Kick]
type = ChangeState
value = 241
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = var(59) = 0
trigger1 = statetype = C
trigger1 = var(55) = 1
trigger1 = ctrl

;Standing Strong Kick
;立ち強キック
[State -1, Standing Strong Kick]
type = ChangeState
value = 240
triggerall = command = "b"
triggerall = var(59) = 0
trigger1 = statetype != A && var(55) = 0
trigger1 = ctrl
trigger2 = statetype = S && var(55) = 1
trigger2 = ctrl

;---------------------------------------------------------------------------
;Taunt
;挑発
[State -1, Taunt]
type = ChangeState
value = 195
triggerall = command = "start"
triggerall = var(59) = 0
trigger1 = statetype != A
trigger1 = ctrl

[State -1, Jump Light Punch]
type = ChangeState
value = 101
triggerall = command = "FF"
triggerall = palno = 6 || palno = 12
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Light Punch
;空中弱パンチ
[State -1, Jump Light Punch]
type = ChangeState
value = 600
triggerall = command = "x"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Strong Punch
[State -1, Jump Strong Punch]
type = ChangeState
value = 610
triggerall = command = "y"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Light Kick
[State -1, Jump Light Kick]
type = ChangeState
value = 630
triggerall = command = "a"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;Jump Strong Kick
;空中強キック
[State -1, Jump Strong Kick]
type = ChangeState
value = 640
triggerall = command = "b"
triggerall = var(59) = 0
trigger1 = statetype = A
trigger1 = ctrl

;---------------------------------------------------------------------------
;////////////////////////////////////////
                 AI動作
;////////////////////////////////////////
[State -1]
type = varset
triggerall = var(59) = 0
triggerall = RoundState = [1,2]
trigger1 = (Command = "AI0")||(Command = "AI1")||(Command = "AI2")||(Command = "AI3")||(Command = "AI4")
trigger2 = (Command = "AI5")||(Command = "AI6")||(Command = "AI7")||(Command = "AI8")||(Command = "AI9")
trigger3 = (Command = "AI10")||(Command = "AI11")||(Command = "AI12")||(Command = "AI13")||(Command = "AI14")
trigger4 = (Command = "AI15")||(Command = "AI16")||(Command = "AI17")||(Command = "AI18")||(Command = "AI19")
trigger5 = (Command = "AI20")||(Command = "AI21")||(Command = "AI22")||(Command = "AI23")||(Command = "AI24")
trigger6 = (Command = "AI25")||(Command = "AI26")||(Command = "AI27")||(Command = "AI28")||(Command = "AI29")
trigger7 = (Command = "AI30")||(Command = "AI31")||(Command = "AI32")||(Command = "AI33")||(Command = "AI34")
trigger8 = (Command = "AI35")||(Command = "AI36")||(Command = "AI37")||(Command = "AI38")||(Command = "AI39")
trigger9 = (Command = "AI40")||(Command = "AI41")||(Command = "AI42")||(Command = "AI43")||(Command = "AI44")
trigger10= (Command = "AI45")||(Command = "AI46")||(Command = "AI47")||(Command = "AI48")||(Command = "AI49")

;==========AI============
var(59) = 6 ;1-6 (6で超反応
;========================

[State -1]
type = null;varset
triggerall = !var(59) || fvar(31)
trigger1 = RoundState = [1,2]
;==========祓ループ制限============
fvar(29) = 3;回
;==================================

;AI使用
;var(47) - KO確認
;var(49) - ヘルパー数確認
;var(50) - 飛び道具確認
;fvar(28) - ループ回数測定　未使用
;fvar(29) - ループ制限　未使用

[State -1, fvar(31)set1];コンボ確認
type = varset
triggerall = var(59) <= 0
trigger1 = 0;0か1
fvar(31) = 1

[State -1,KO確認]
type = varset
trigger1 = 1
var(47) = abs(1-enemynear,alive)

[State -1, var49];ヘルパー数
type = varset
trigger1 = roundstate = 1
var(49) = enemy,numhelper

[State -2];飛び道具反射
type = VarSet
trigger1 = gametime - var(50) = 60
trigger2 = movetype = H
var(50) = 0


;12P以外AI
;活入れ6~11
[State -1]
type = ChangeState
value = 6600
triggerall = var(59) > 0
triggerall = Roundstate = 2
triggerall = palno = [6,11]
triggerall = statetype != A
triggerall = power >= 1000
triggerall = life >= 400
triggerall = p2bodydist x <= 80
triggerall = p2bodydist y <= 60
triggerall = stateno != 810 
triggerall = stateno != 815 
triggerall = random < 10
trigger1 = movecontact
IgnoreHitPause = 1
;大型解除6~11
[State -1]
type = ChangeState
value = 7100
triggerall = ctrl
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno = [6,11]
triggerall = statetype != A
triggerall = power >= 2000
triggerall = random < 100
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 40
;超連撃6~11
[State -1]
type = ChangeState
value = 7000
triggerall = ctrl
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno = [6,11]
triggerall = statetype != A
triggerall = power >= 2000
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 70
;大型解除
[State -1]
type = ChangeState
value = 7100
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = statetype != A
triggerall = power >= 2000
triggerall = random < 100
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = enemy,stateno = 5000
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger1 = ctrl
trigger2 = enemy,stateno = 5010
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
trigger2 = ctrl
trigger3 = p2movetype = H
trigger3 = !powermax 
trigger3 = stateno = 242 && movecontact
trigger4 = random < 170
trigger4 = p2bodydist x >= 100
trigger4 = ctrl
;超連撃
[State -1]
type = ChangeState
value = 7000
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = statetype != A
triggerall = !powermax 
triggerall = power >= 2000
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = p2movetype = H
trigger1 = stateno = 242 && movecontact
[State -2];運送6~11
type = ChangeState
value = 3000
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno = [6,11]
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = random < 140
trigger1 = p2bodydist x <= 100
trigger1 = p2bodydist y <= 60
trigger2 = random < 140
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 100
trigger2 = p2bodydist y <= 60
trigger3 = ctrl
trigger3 = enemy,hitpausetime 
trigger3 = p2bodydist x <= 50
;活入れ
[State -1]
type = ChangeState
value = 6600
triggerall = var(59) > 0
triggerall = Roundstate = 2
triggerall = statetype != A
triggerall = power >= 1000
triggerall = life >= 300
triggerall = !sysvar(3)
triggerall = p2bodydist x <= 70
triggerall = p2bodydist y <= 60
triggerall = stateno != 810 
triggerall = stateno != 815 
trigger1 = ctrl
trigger1 = random < 2
trigger2 = stateno = 242 && movecontact
trigger2 = p2movetype = H
trigger2 = random < 50
trigger3 = random < 5
trigger3 = p2movetype = H
trigger3 = movecontact
trigger4 = stateno = 242 && movecontact
trigger4 = p2movetype = H
trigger4 = Power = 3000
IgnoreHitPause = 1
;超連撃
[State -1]
type = ChangeState
value = 7000
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = statetype != A
triggerall = power >= 2000
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = p2movetype = H
trigger1 = stateno = 242 && movecontact
;無に還ろう
[State -1]
type = ChangeState
value = 2000
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = statetype != A
triggerall = power >= 1000
triggerall = Roundstate = 2
triggerall = var(59) > 0
;trigger1 = random < 70
trigger1 = enemy,stateno = 5000
trigger1 = p2bodydist x >= 60
trigger1 = ctrl
trigger2 = enemy,stateno = 5010
trigger2 = p2bodydist x >= 60
trigger2 = ctrl
trigger3 = enemy,stateno = 5020
trigger3 = p2bodydist x >= 60
trigger3 = ctrl
;魂潰し
[State -1]
type = ChangeState
value = 2100
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = power >= 1000
triggerall = statetype != A
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = ctrl
triggerall = var(59) > 0
trigger1 = p2movetype != H
trigger1 = random < 30
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 50
trigger2 = p2movetype != H
trigger2 = random < 30
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 50
trigger3 = random < 70
trigger3 = stateno = 242 && movecontact
[State -2];小パン
type = ChangeState
value = 200
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
;triggerall = p2movetype != A
triggerall = p2movetype != H
trigger1 = random < 200
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = random < 200
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
[State -2];対空攻撃
type = ChangeState
value = 6500
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
trigger1 = p2bodydist x <= 70
trigger1 = p2bodydist y <= -15
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 70
trigger2 = p2bodydist y <= -15
trigger3 = ctrl
trigger3 = random < 30
trigger3 = p2bodydist x <= 50
trigger4 = stateno = 242 && movecontact 
trigger4 = p2movetype = H
trigger4 = enemy,stateno = [5000,5500]
[State -2];投げ
type = ChangeState
value = 810
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
;triggerall = p2movetype != A
triggerall = statetype != A
triggerall = random < 50
triggerall = p2movetype != H
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 20
trigger1 = p2bodydist y <= 50
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 20
trigger2 = p2bodydist y <= 50
[State -2];空中弱パンチ
type = ChangeState
value = 600
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype = A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 70
triggerall = ctrl
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 50
[State -2];空中強パンチ
type = ChangeState
value = 610
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype = A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 70
triggerall = ctrl
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 50
[State -2];空中弱キック
type = ChangeState
value = 630
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype = A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 70
triggerall = ctrl
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 50
[State -2];空中強キック
type = ChangeState
value = 640
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype = A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 100
triggerall = ctrl
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 50
[State -2];ダブドマ
type = ChangeState
value = 242
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
;triggerall = p2movetype != H
trigger1 = random < 70
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = random < 70
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 20
trigger2 = p2bodydist y <= 60
trigger3 = stateno = 210 && movecontact
trigger3 = p2movetype = H 
trigger3 = enemy,stateno = [5000,5500]
[State -2];強パン
type = ChangeState
value = 210
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
trigger1 = p2movetype != H
trigger1 = random < 30
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = p2movetype != H
trigger2 = random < 30
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
trigger3 = stateno = 200 && movecontact
trigger3 = p2movetype = H
trigger3 = enemy,stateno = [5000,5500]
[State -2];弱キック
type = ChangeState
value = 230
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 20
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
[State -2];強キック
type = ChangeState
value = 240
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 40
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
[State -2];連撃
type = ChangeState
value = 6000
triggerall = roundstate = 2
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != H
triggerall = random < 300
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger1 = p2movetype != A
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
trigger2 = p2movetype != A
trigger3 = ctrl
trigger3 = enemy,hitpausetime >= 3
trigger3 = p2bodydist x <= 50
;バリア中段
[State -1]
type = ChangeState
value = 1030
triggerall = statetype != A
triggerall = p2bodydist x <= 50
triggerall = palno != 12
triggerall = var(59) > 0
triggerall = p2movetype = A
triggerall = random < 90
trigger1 = ctrl
trigger2 = stateno = 200 && movecontact
trigger3 = stateno = 210 && movecontact
trigger4 = stateno = 230 && movecontact
trigger5 = stateno = 240 && movecontact
trigger6 = stateno = 201 && movecontact && var(55) = 1
trigger7 = stateno = 211 && movecontact && var(55) = 1
trigger8 = stateno = 231 && movecontact && var(55) = 1
trigger9 = stateno = 241 && movecontact && var(55) = 1
trigger10 = stateno = 242 && movecontact && var(55) = 1
[State -2];ジャストディフェンス
type = ChangeState
value = 701
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = random < 10
[State -2];ジャストディフェンス
type = ChangeState
value = 701
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = p2movetype = A
triggerall = random < 70
;ワープ
[State -1]
type = ChangeState
value = 900
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
trigger1 = p2bodydist x >= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 60
;triggerall = p2movetype != A
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 100
[State -2];ガード
type = Changestate
value = 120
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != [6,12]
triggerall = var(59) > 0
trigger1 = ctrl 
trigger1 = p2movetype = A
trigger2 = stateno = 103
trigger2 = p2movetype = A
[State -2];バックステップ
type = ChangeState
value = 105
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype = H
triggerall = random < 60
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 0
trigger2 = p2bodydist y <= 60
[State -2];運送
type = ChangeState
value = 3000
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = random < 40
trigger1 = p2bodydist x <= 100
trigger1 = p2bodydist y <= 60
trigger2 = random < 40
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 100
trigger2 = p2bodydist y <= 60
trigger3 = ctrl
trigger3 = enemy,hitpausetime >= 3
trigger3 = p2bodydist x <= 50
;飛び道具
[State -1]
type = ChangeState
value = 1000
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
trigger1 = p2bodydist x >= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 60
triggerall = p2movetype != A
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = NumProjID(1002) = 0
;挑発
[State -1]
type = ChangeState
value = 195
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
trigger1 = ctrl
trigger1 = p2bodydist x >= 200
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 200
triggerall = life >= 300
triggerall = p2movetype = H
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 270
;AIジャンプ
[State -1]
type = ChangeState
value = 41
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = statetype != A
trigger1 = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 90
trigger2 = stateno = 103
trigger2 = random < 20
;AIダッシュ
[State -1]
type = ChangeState
value = 103
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = stateno != 103
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = 1;random < 100
;雷
[State -1]
Type = ChangeState
value = 1200
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) = [1,4]
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = enemynear(var(47)),power < 1000
trigger1 = P2Dist X = [35,75]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -20
trigger1 = random < (195 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1201
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) = [1,5]
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = enemynear(var(47)),power < 1000
trigger1 = P2Dist X = [90,130]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -20
trigger1 = random < (150 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = P2Dist X = [140,180]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -17
	trigger1 = random < (150 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = P2Dist X = [180,220]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -15
	trigger1 = random < (150 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1200
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [10,100]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [10,100]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [10,100]
trigger3 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [20,85]
trigger4 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger4 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1201
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [75,155]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [75,155]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [75,155]
trigger3 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [85,135]
trigger4 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger4 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [125,195]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [125,195]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [125,195]
trigger3 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [135,170]
trigger4 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger4 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [160,260]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [160,260]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [160+(enemynear(var(47)),vel X * 10),260+(enemynear(var(47)),vel X * 10)]
trigger3 = enemynear(var(47)),BackEdgeBodyDist != [0,30]
trigger3 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-70,-20]))
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [160,280]
trigger4 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger4 = enemynear(var(47)), vel Y > 1.7
trigger5 = P2Dist X = [170,260]
trigger5 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger5 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),StateType != L
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
triggerall = enemynear(var(47)),stateno != [120,159]
trigger1 = random < (var(59) * 100 + 500) || fvar(31) = 1
trigger1 = movehit = 6 && enemynear(var(47)),movetype = H
trigger1 = (stateno = 241) && var(55) = 1
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),StateType != L
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
triggerall = enemynear(var(47)),stateno != [120,159]
trigger1 = random < (var(59) * 100 + 500) || fvar(31) = 1
trigger1 = P2BodyDist X = [45,162]
trigger1 = movehit = 6 && enemynear(var(47)),movetype = H
trigger1 = (stateno = 241) && var(55) = 1
;雷
[State -1]
Type = ChangeState
value = 1201
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),StateType != L
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
triggerall = enemynear(var(47)),stateno != [120,159]
trigger1 = random < ((var(59) * 100) + 500) || fvar(31) = 1
trigger1 = P2BodyDist X = [0,45]
trigger1 = movehit = 6 && enemynear(var(47)),movetype = H
trigger1 = (stateno = 241) && var(55) = 1
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0
triggerall = Ctrl; || stateno = 103
triggerall = enemynear(var(47)),statetype != L
triggerall = enemynear(var(47)),movetype != H
triggerall = numhelper(19999)
triggerall = !inguarddist && helper(19999),var(1) = 0
triggerall = enemynear(var(47)),vel X <= enemynear(var(47)),const(velocity.walk.fwd.x)
triggerall = P2BodyDist X != [0,110]
triggerall = random < var(59) * 10
trigger1 = P2BodyDist X = [80,152]
trigger1 = enemynear(var(47)),vel X <= 0 && 0
trigger2 = lifemax / life < 2 
trigger2 = enemynear(var(47)),vel X >= 0 
trigger2 = P2BodyDist X = [130,170]
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = roundstate = 2
triggerall = !ishelper
triggerall = palno != 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0
triggerall = Ctrl; || stateno = 103
triggerall = enemynear(var(47)),statetype != L
triggerall = enemynear(var(47)),movetype != H
triggerall = numhelper(19999)
triggerall = !inguarddist && helper(19999),var(1) = 0
triggerall = enemynear(var(47)),vel X <= enemynear(var(47)),const(velocity.walk.fwd.x)
triggerall = random < var(59) * 10
trigger1 = P2BodyDist X = [123,203]
trigger1 = enemynear(var(47)),vel X <= 0 && 0
trigger2 = lifemax / life < 3 
trigger2 = enemynear(var(47)),vel X >= 0 
trigger2 = P2BodyDist X = [160,220]







;12PAI
;無に還ろう
[State -1]
type = ChangeState
value = 2000
triggerall = !ishelper
triggerall = palno = 12
triggerall = statetype != A
triggerall = power >= 1000
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 120
trigger1 = ctrl
trigger1 = p2bodydist x >= 100
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 100
trigger3 = p2movetype = H
trigger3 = ctrl
;大型解除
[State -1]
type = ChangeState
value = 7100
triggerall = !ishelper
triggerall = palno = 12
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = var(6) != 1
trigger1 = ctrl
trigger1 = random < 70
trigger2 = var(9) != 1
trigger2 = random < 70
trigger2 = ctrl
;超連撃
[State -1]
type = ChangeState
value = 7000
triggerall = !ishelper
triggerall = palno = 12
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = var(6) != 1
trigger1 = ctrl
trigger1 = random < 80
trigger2 = var(9) != 1
trigger2 = random < 80
trigger2 = ctrl
;新・無に還ろう
[State -1]
type = ChangeState
value = 2300
triggerall = !ishelper
triggerall = palno = 12
triggerall = statetype != A
triggerall = var(6) != 1
triggerall = palno = 12
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 20
trigger1 = ctrl
trigger2 = stateno = 103
trigger3 = ctrl
;新・無に還ろう2
[State -1]
type = ChangeState
value = 2300
triggerall = !ishelper
triggerall = palno = 12
triggerall = statetype != A
triggerall = var(9) != 1
triggerall = palno = 12
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 10
trigger1 = ctrl
trigger2 = stateno = 103
trigger3 = ctrl
;魂潰し
[State -1]
type = ChangeState
value = 2100
triggerall = !ishelper
triggerall = palno = 12
triggerall = power >= 1000
triggerall = random < 170
triggerall = statetype != A
triggerall = var(9) != 1
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = p2movetype != A
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 50
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 50
[State -2];投げ
type = ChangeState
value = 810
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno = 12
triggerall = var(59) > 0
;triggerall = p2movetype != A
triggerall = statetype != A
triggerall = random < 50
triggerall = p2movetype != H
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 7
trigger1 = p2bodydist y <= 50
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 7
trigger2 = p2bodydist y <= 50
[State -2];空中強キック
type = ChangeState
value = 640
triggerall = !ishelper
triggerall = palno = 12
triggerall = var(59) > 0
triggerall = statetype = A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = ctrl
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
trigger1 = p2bodydist x <= 50
[State -2];ダブドマ
type = ChangeState
value = 242
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno = 12
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
triggerall = p2movetype != H
triggerall = random < 70
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 20
trigger2 = p2bodydist y <= 60
[State -2];連撃
type = ChangeState
value = 6000
trigger1 = ctrl
triggerall = !ishelper
triggerall = palno = 12
triggerall = var(59) > 0
;triggerall = p2movetype != A
triggerall = statetype != A
triggerall = p2movetype != H
triggerall = random < 100
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 40
trigger2 = p2bodydist y <= 60
[State -2];ジャストディフェンス
type = ChangeState
value = 701
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = random < 10
[State -2];ジャストディフェンス
type = ChangeState
value = 701
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = p2movetype = A
triggerall = random < 70
;trigger1 = p2bodydist x <= 40
;trigger1 = p2bodydist y <= 60
;trigger2 = stateno = 103
;trigger2 = p2bodydist x <= 40
;trigger2 = p2bodydist y <= 60
;ワープ
[State -1]
type = ChangeState
value = 900
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
trigger1 = p2bodydist x >= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 60
;triggerall = p2movetype != A
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 30
[State -2];バックステップ
type = ChangeState
value = 105
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype = H
triggerall = random < 60
trigger1 = p2bodydist x <= 40
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 0
trigger2 = p2bodydist y <= 60
[State -2];運送
type = ChangeState
value = 3000
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
triggerall = var(59) > 0
triggerall = statetype != A
triggerall = p2movetype != A
triggerall = enemy,stateno != 5110
triggerall = enemy,stateno != 5150
triggerall = random < 40
trigger1 = p2bodydist x <= 100
trigger1 = p2bodydist y <= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x <= 100
trigger2 = p2bodydist y <= 60
;飛び道具
[State -1]
type = ChangeState
value = 1000
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
trigger1 = p2bodydist x >= 60
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 60
triggerall = p2movetype != A
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 40
triggerall = NumProjID(1002) = 0
;挑発
[State -1]
type = ChangeState
value = 195
triggerall = !ishelper
triggerall = palno = 12
trigger1 = ctrl
trigger1 = p2bodydist x >= 200
trigger2 = stateno = 103
trigger2 = p2bodydist x >= 200
triggerall = life >= 300
triggerall = p2movetype = H
triggerall = statetype != A
triggerall = Roundstate = 2
triggerall = var(59) > 0
triggerall = random < 270
;AIジャンプ
[State -1]
type = ChangeState
value = 41
triggerall = !ishelper
triggerall = palno = 12
triggerall = statetype != A
trigger1 = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = random < 90
trigger2 = stateno = 103
trigger2 = random < 20
;AIダッシュ
[State -1]
type = ChangeState
value = 103
triggerall = !ishelper
triggerall = palno = 12
triggerall = stateno != 103
triggerall = statetype != A
triggerall = ctrl
triggerall = Roundstate = 2
triggerall = var(59) > 0
trigger1 = 1;random < 100
;雷
[State -1]
Type = ChangeState
value = 1200
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) = [1,4]
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = enemynear(var(47)),power < 1000
trigger1 = P2Dist X = [35,75]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -20
trigger1 = random < (195 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1201
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) = [1,5]
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = enemynear(var(47)),power < 1000
trigger1 = P2Dist X = [90,130]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -20
trigger1 = random < (150 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = P2Dist X = [140,180]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -17
	trigger1 = random < (150 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0
triggerall = enemynear(var(47)),StateType = L
Triggerall = !inguarddist
trigger1 = P2Dist X = [180,220]
trigger1 = enemynear(var(47)),stateno = 5120
trigger1 = enemynear(var(47)),animtime = -15
	trigger1 = random < (150 * var(59))
;雷
[State -1]
Type = ChangeState
value = 1200
triggerall = !ishelper
triggerall = palno = 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [10,100]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [10,100]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [10,100]
trigger3 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [20,85]
trigger4 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger4 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1201
triggerall = !ishelper
triggerall = palno = 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [75,155]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [75,155]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [75,155]
trigger3 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [85,135]
trigger4 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger4 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = !ishelper
triggerall = palno = 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [125,195]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [125,195]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [125,195]
trigger3 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [135,170]
trigger4 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger4 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = !ishelper
triggerall = palno = 12
triggerall = (Roundstate = [2,3]) && statetype != A
triggerall = ctrl || stateno = 103
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),moveType = H
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
trigger1 = P2Dist X = [160,260]
trigger1 = enemynear(var(47)),BackEdgeBodyDist = [0,30]
trigger1 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-50,-15]))
trigger1 = enemynear(var(47)), vel Y > 1.7
trigger2 = P2Dist X = [160,260]
trigger2 = enemynear(var(47)),stateno = 1035 && (P2BodyDist Y = [-80,-60])
trigger2 = enemynear(var(47)), vel Y > 1.7
trigger3 = P2Dist X = [160+(enemynear(var(47)),vel X * 10),260+(enemynear(var(47)),vel X * 10)]
trigger3 = enemynear(var(47)),BackEdgeBodyDist != [0,30]
trigger3 = (enemynear(var(47)),stateno = 2511 && (P2BodyDist Y = [-80,-60])) || ((enemynear(var(47)),stateno = [5020,5050]) && (P2BodyDist Y = [-70,-20]))
trigger3 = enemynear(var(47)), vel Y > 1.7
trigger4 = P2Dist X = [160,280]
trigger4 = enemynear(var(47)),stateno = 2109 && (P2BodyDist Y = [-75,-45])
trigger4 = enemynear(var(47)), vel Y > 1.7
trigger5 = P2Dist X = [170,260]
trigger5 = (enemynear(var(47)),stateno = 813 || enemynear(var(47)),stateno = 2630) && (P2BodyDist Y = [-30,-5])
trigger5 = enemynear(var(47)), vel Y > 1.7
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),StateType != L
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
triggerall = enemynear(var(47)),stateno != [120,159]
trigger1 = random < (var(59) * 100 + 500) || fvar(31) = 1
trigger1 = movehit = 6 && enemynear(var(47)),movetype = H
trigger1 = (stateno = 241) && var(55) = 1
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),StateType != L
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
triggerall = enemynear(var(47)),stateno != [120,159]
trigger1 = random < (var(59) * 100 + 500) || fvar(31) = 1
trigger1 = P2BodyDist X = [45,162]
trigger1 = movehit = 6 && enemynear(var(47)),movetype = H
trigger1 = (stateno = 241) && var(55) = 1
;雷
[State -1]
Type = ChangeState
value = 1201
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0 || fvar(31) = 1
triggerall = enemynear(var(47)),StateType != L
triggerall = enemynear(var(47)),stateno != 5120
Triggerall = !inguarddist
triggerall = enemynear(var(47)),stateno != [120,159]
trigger1 = random < ((var(59) * 100) + 500) || fvar(31) = 1
trigger1 = P2BodyDist X = [0,45]
trigger1 = movehit = 6 && enemynear(var(47)),movetype = H
trigger1 = (stateno = 241) && var(55) = 1
;雷
[State -1]
Type = ChangeState
value = 1202
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0
triggerall = Ctrl; || stateno = 103
triggerall = enemynear(var(47)),statetype != L
triggerall = enemynear(var(47)),movetype != H
triggerall = numhelper(19999)
triggerall = !inguarddist && helper(19999),var(1) = 0
triggerall = enemynear(var(47)),vel X <= enemynear(var(47)),const(velocity.walk.fwd.x)
triggerall = P2BodyDist X != [0,110]
triggerall = random < var(59) * 10
trigger1 = P2BodyDist X = [80,152]
trigger1 = enemynear(var(47)),vel X <= 0 && 0
trigger2 = lifemax / life < 2 
trigger2 = enemynear(var(47)),vel X >= 0 
trigger2 = P2BodyDist X = [130,170]
;雷
[State -1]
Type = ChangeState
value = 1203
triggerall = !ishelper
triggerall = palno = 12
triggerall = Roundstate = 2 && statetype != A
triggerall = var(59) > 0
triggerall = Ctrl; || stateno = 103
triggerall = enemynear(var(47)),statetype != L
triggerall = enemynear(var(47)),movetype != H
triggerall = numhelper(19999)
triggerall = !inguarddist && helper(19999),var(1) = 0
triggerall = enemynear(var(47)),vel X <= enemynear(var(47)),const(velocity.walk.fwd.x)
triggerall = random < var(59) * 10
trigger1 = P2BodyDist X = [123,203]
trigger1 = enemynear(var(47)),vel X <= 0 && 0
trigger2 = lifemax / life < 3 
trigger2 = enemynear(var(47)),vel X >= 0 
trigger2 = P2BodyDist X = [160,220]

